Autor Tema: slpkg --vs--slapt-src  (Leído 3146 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado lupox

  • Colaborador
  • *
  • Mensajes: 531
  • volver....
slpkg --vs--slapt-src
« en: 16-06-2017, 21:06 (Viernes) »
Cual es más potente




« Última modificación: 18-06-2017, 15:26 (Domingo) por lupox »

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14069
Re: slpkg --vs--slapt-src
« Respuesta #1 en: 16-06-2017, 22:20 (Viernes) »
la distro tiene varios

slpkg
sbopkg
slapt-src

de esos a mi personalmente me gusta mas slapt-src , por que resuelve automaticamente las dependencias.

Yo suele proceder asi

1 -  sbopkg para usar la funcion "updates" , que me dice las versiones nuevas o recompilaciones de slackbuilds

2 - viendo la lista de sbopkg ,pues voy lanzando slapt-src ,  ;D


Hay una gui , muy muy chula que junta un poco lo que hacen todos , ...

slpkg , yo no lo uso en el desqrrollo , pero como se qu ehay gente que le gusta mas ese ,pues hay esta , total ocupa muy muy poco.

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14069
Re: slpkg --vs--slapt-src
« Respuesta #2 en: 16-06-2017, 22:22 (Viernes) »
puedes probar este --> http://slackbuilds.org/repository/14.2/system/sboui/?search=sboui

segun el articulo que enlazas ,slpkg resuleve dependencias ..no se si por que no lo uso , o que ,pero nunca vi esa caracteristica, igual fue implementada en alguna version posterior a las que yo probe.

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14069
Re: slpkg --vs--slapt-src
« Respuesta #3 en: 16-06-2017, 22:24 (Viernes) »
y esta es la que yo digo que junta todas las caracteristicas del resto en una gui ..bastante atractiva.

http://gernot-walzl.at/index.php?nav=Slackware%2Fsbopkg_gui

Desconectado lupox

  • Colaborador
  • *
  • Mensajes: 531
  • volver....
Re:
« Respuesta #4 en: 16-06-2017, 22:46 (Viernes) »
Yo utilizo pp slpkg.
Resuelve depencias sin prblema. Y puedes utilizar varios repositorios. Incluido sbo. Y van apareciendo nuevos. Es muy buena tool..
Sent from my RM-914_eu_spain_360 using Tapatalk

Desconectado lupox

  • Colaborador
  • *
  • Mensajes: 531
  • volver....
Re: slpkg --vs--slapt-src
« Respuesta #5 en: 16-06-2017, 22:54 (Viernes) »
Pej slpkg update actualiza paquetes
Slpkg - F kodi busca en los repositorios
slpkg -s sbo kodi instala kodi con todas sus dependencias.

Sent from my RM-914_eu_spain_360 using Tapatalk

si instalas:
slpkg -s sbo python2-pythondialog

con
slpkg -n kodi
obtienes

y con

slpkg -r -1wifislax --tag --checklist



slpkg repo-enable




slpkg repo-list


ver dependencias de dependencias


Código: [Seleccionar]
wifislax64 ~ # slpkg -c slack --upgrade
Checking... Done

These packages need upgrading:

+==============================================================================
| Package                 New Version        Arch    Build  Repos          Size
+==============================================================================
Upgrading:
  bind-9.10.4_P8          9.10.5_P1          x86_64  1      Slack        2352 K
  kernel-firmware         20161211git        noarch  1      Slack       44784 K
  kernel-generic          4.4.38             x86_64  1      Slack        4704 K
  kernel-headers          4.4.38             x86     1      Slack         728 K
  kernel-huge             4.4.38             x86_64  1      Slack        8040 K
  kernel-modules          4.4.38             x86_64  1      Slack       28244 K
  kernel-source           4.4.38             noarch  1      Slack       88860 K
  libX11-1.6.4            1.6.4              x86_64  1      Slack        2580 K
  libXfixes-5.0.3         5.0.3              x86_64  1      Slack          24 K
  libXi-1.7.8             1.7.8              x86_64  1      Slack         184 K
  libXrandr-1.5.1         1.5.1              x86_64  1      Slack          40 K
  libXrender-0.9.10       0.9.10             x86_64  1      Slack          36 K
  libXtst-1.2.3           1.2.3              x86_64  1      Slack          56 K
  libXv-1.0.11            1.0.11             x86_64  1      Slack          48 K
  libXvMC-1.0.10          1.0.10             x86_64  1      Slack          36 K
  mozilla-firefox         52.2.0esr          x86_64  1      Slack       46264 K
  mozilla-thunderbird     52.2.0             x86_64  1      Slack       46364 K
  pkg-config-0.29.1       0.29.2             x86_64  1      Slack          56 K
  scim-1.4.15             1.4.17             x86_64  1      Slack        1036 K
  seamonkey               2.46               x86_64  3      Slack       45024 K
  seamonkey-solibs        2.46               x86_64  3      Slack        1120 K
  xfce4-weather-plugin    0.8.9              x86_64  1      Slack        2316 K
  xscreensaver            5.36               x86_64  1      Slack        4836 K

Installing summary
===============================================================================
Total 13 packages will be upgraded and 10 will be installed.
Need to get 320.05 Mb of archives.
After this process, 1.37 Gb of additional disk space will be used.

Would you like to continue [y/N]?




o
slpkg -c sbo --upgrade --checklist

blacklistar paquetes
slpkg -b   kernel-generic  --add


se pueden hacer cosas como

[Desktop Entry]
Categories=System;
Exec=sh -c "slpkg -r -1wifislax --tag --checklist;${SHELL:-bash}"
GenericName[es]=Gestor de paquetes slackbuilds.org
GenericName=Package manager for slackbuilds.org
Icon=slapt-src
MimeType=
Name[es]=Slapt-src
Name=Slapt-src
Path=
StartupNotify=false
Terminal=true
TerminalOptions=
Type=Application
 
o

Desktop Entry]
Categories=System;
Exec=sh -c "slpkg -c slack --upgrade --checklist;${SHELL:-bash}"
GenericName[es]=Upgrade de paquetes slackware
...


slpkg --vs--slapt-src   ???

mas dependecias mas potencia. gráficos de dependencias

 slpkg -t sbo kodi --graph=image.x11        6 dependencias



 slpkg -t sbo flexget --graph=image.x11   49 dependencias



« Última modificación: 17-06-2017, 17:02 (Sábado) por lupox »

Desconectado lupox

  • Colaborador
  • *
  • Mensajes: 531
  • volver....
Re: slpkg --vs--slapt-src
« Respuesta #6 en: 17-06-2017, 00:52 (Sábado) »
puedes probar este --> http://slackbuilds.org/repository/14.2/system/sboui/?search=sboui

segun el articulo que enlazas ,slpkg resuleve dependencias ..no se si por que no lo uso , o que ,pero nunca vi esa caracteristica, igual fue implementada en alguna version posterior a las que yo probe.
para que resuelva hay que colocar -s delante del repo

cuando publicaste lo de slack-src
hacia tiempo que ya resolvia las dependencias.


&&

0 click tiempo 10s

slpkg -s sbo r8168

 ;D ;D ;D ;D ;D
« Última modificación: 17-06-2017, 17:04 (Sábado) por lupox »

Desconectado lupox

  • Colaborador
  • *
  • Mensajes: 531
  • volver....
Re: slpkg --vs--slapt-src
« Respuesta #7 en: 18-06-2017, 15:27 (Domingo) »
slpkg hace esto y más


git y doc oficial

https://github.com/dslackw/slpkg#id2


slapt-src  ???

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14069
Re: slpkg --vs--slapt-src
« Respuesta #8 en: 18-06-2017, 22:21 (Domingo) »
Para eso estan los dos, para que cada uno use el que pefiera.

Para el desarrollo uso slapt-src por su simplicidad

slapt-src -u
slapt-src -i $PAQUETE A INSTALAR

para gestionar los paquetes slackware me apoyo en tools como tgzmanager , slapt-get  y gslapt.

tgzmanager te permite desde cosas basicas como busca o desinstalar un paquete , hasta encontrar de que paquete ha salido un fichero .. por ejemplo buscar de que paquete viene el fichero  7z  ;)

wifislax , tiene muchas tools peuqeñas , pero utiles que me permiten crear el sistema limpio , muy limpio y ordenado , lo cual no quita que con todas esas tools, haya gente que prefiera usar unas u otras, lo importante es que hay opciones y metodos a elegir segun gustos.

Ya tengo en la iso añadida la libreria python2-pydialog , para hacer el uso de slpkg mas comodo aun , aunque yo no lo use  ;)
« Última modificación: 18-06-2017, 22:25 (Domingo) por USUARIONUEVO »

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14069
Re: slpkg --vs--slapt-src
« Respuesta #9 en: 18-06-2017, 22:30 (Domingo) »
Optional dependencies

python2-pythondialog for dialog box interface

pygraphviz for drawing dependencies diagram

graph-easy for drawing ascii dependencies diagram

httpie alternative downloader

aria2 alternative downloader


aria2  ya viene , python-dialog ya la meti , ... voy a meter las otras 2 o 3 opcionales que ocupan poco y asi tenerlo al 100%   8)

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14069
Re: slpkg --vs--slapt-src
« Respuesta #10 en: 18-06-2017, 22:36 (Domingo) »
slapt-src , me deja los paquetes compilados, ordenados ya en sus categorias..

libraries --> tal y cual paquete
python --> tal y este otro


eso resulta comodisimo , hasta la saciedad, ya que solo copias el modulo xzm correspondiente y trabajas directamente en el ,sin necesidad de consultar en slackbuilds de que categoria es cada paquete.

Desconectado lupox

  • Colaborador
  • *
  • Mensajes: 531
  • volver....
Re: slpkg --vs--slapt-src
« Respuesta #11 en: 19-06-2017, 00:24 (Lunes) »
Optional dependencies

python2-pythondialog for dialog box interface

pygraphviz for drawing dependencies diagram

graph-easy for drawing ascii dependencies diagram

httpie alternative downloader

aria2 alternative downloader


aria2  ya viene , python-dialog ya la meti , ... voy a meter las otras 2 o 3 opcionales que ocupan poco y asi tenerlo al 100%   8)

añade graphviz-2.40.1-x86_64-1_SBo  dependencia de pygraphviz

Necesitaras un fix simlink libnvidia-tls.so.version-nividia de usr/lib64/tls a usr/lib64

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14069
Re: slpkg --vs--slapt-src
« Respuesta #12 en: 19-06-2017, 00:26 (Lunes) »
he compilado graphviz , sin problemas...ya que de serie el driver nvidia no esta en la iso.


cuando hago

Código: [Seleccionar]
slapt-src -i pygraphviz
ya resuleve el solo , la dependencia graphviz , al igual que con

Código: [Seleccionar]
slapt-src -i httpie
que antes compila e instala una dependencia

python-urllib3

no me tengo que estar preocupano ni de buscarlas ni saberlas ni añadir argumentos extra.  ;D
« Última modificación: 19-06-2017, 00:28 (Lunes) por USUARIONUEVO »

Desconectado lupox

  • Colaborador
  • *
  • Mensajes: 531
  • volver....
Re: slpkg --vs--slapt-src
« Respuesta #13 en: 19-06-2017, 00:41 (Lunes) »
En slpkg si introduces un comando con --checklist automaticamente te pone el comando para instalar la dependencia.
y si escribes --graph=image.x11 te salta el comando slpkg -s sbo pygraphviz que al instalar resuelve las dependencias.

Lo que no se es si funcionara al cargar el driver nvidia si esta compilado con las libreias de mesa.

A mi me gusta mas slpkg pq puedes utilizar un monton de reos incluidos los slackware. slack
slpkg -s sbo   slackbuild
slpkg -s slack  slackware
slpkg -s alien  slacklieve

puede upgrade los paquetes   sbo los oficiales de slackware los de alien desintalar  los instalados.

sin salir del programa puedes gestionar todo lo relacionado con los paquetes.
instala los paquetes descargados. los compila desde elscript sin descomprimir y la source.
blacklista paquete skip de upgrades etc.

Cada cual tiene sus preferencias.
« Última modificación: 19-06-2017, 00:48 (Lunes) por lupox »

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14069
Re: slpkg --vs--slapt-src
« Respuesta #14 en: 19-06-2017, 00:45 (Lunes) »
En slpkg si introduces un comando con --checklist automaticamente te pone el comando para instalar la dependencia.
y si escribes --graph=image.x11 te salta el comando slpkg -s sbo pygraphviz que al instalar resuelve las dependencias.

Lo que no se es si funcionara al cargar el driver nvidia si esta compilado con las libreias de mesa.


No creo que haya problemas, pero me parece interesante que si esta el driver nvidia , necesite un symlink , mas que nada para reportarlo y que en slackbuilds lo corrijan en el nvidia-switch , mas bien que lo añadan.

Yo acabo de repotar que graphviz , no me compila en "current" ,pero si que compila en 14.2 (es la estable en la que se basa wifislax) , hay un hilo especifico a estos problemas, por que por ejemplo en current llevamos gcc-7.1.0  es decir las mas nuevas y hay cosas que requieren parches , ..y bueno , eso es un poco la "comunity help"  ;D

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14069
Re: slpkg --vs--slapt-src
« Respuesta #15 en: 19-06-2017, 00:47 (Lunes) »
tampoco olvides que con nvidia-switch , puedes retornar a las librerias mesa sin desinstalar nvidia,aunque necesitas reiniciar las X para que el cambio surja efecto.  8)

Desconectado lupox

  • Colaborador
  • *
  • Mensajes: 531
  • volver....
Re: slpkg --vs--slapt-src
« Respuesta #16 en: 19-06-2017, 00:56 (Lunes) »
Ya puesto tb observe que al convertir graphviz-2.40.1-x86_64-1_SBo.tgz a xzm   se dejaba algo de forma qu no rulaban los graficos.  para no complicarme lo captur con el salve changes y quedo ok.
no te puedo decir loq fallaba. no me moleste en mirar el install demasiados redirecionamientos.

siempre es bueno que lo q uno utilice este ya en la iso pa no acumular modulos.

la pregunta sigue en pie cual es mas potente.
 si nos fijamos en la lista de comandos -h
parece q slpkg.
« Última modificación: 19-06-2017, 01:04 (Lunes) por lupox »

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14069
Re: slpkg --vs--slapt-src
« Respuesta #17 en: 19-06-2017, 01:00 (Lunes) »
mmm , mirare a ver.

creo que yo no he tenido problema con eso ..

mas que nada por que descomprimo el graphics.xzm de la carpeta sbo , y hago un

ROOT=carpeta installpkg PAQUETE.txz

pero lo revisare a ver qu pasa si se convierte directamente graphviz a xzm.

Desconectado lupox

  • Colaborador
  • *
  • Mensajes: 531
  • volver....
Re: slpkg --vs--slapt-src
« Respuesta #18 en: 19-06-2017, 01:06 (Lunes) »
haciendolo asi no tendras ninguún problrma es convirtiendolo directamente con el boton izquierdo.

Desconectado lupox

  • Colaborador
  • *
  • Mensajes: 531
  • volver....
Re: slpkg --vs--slapt-src
« Respuesta #19 en: 19-06-2017, 01:12 (Lunes) »
podias tb añadir yakuake es una konsole autodesplegable f12 configurable
que usa las dependencias de kde. y eliminar el lanzador de la barra..


pal sobre qu mañana hay que currar.
« Última modificación: 19-06-2017, 01:13 (Lunes) por lupox »